Last Comment Bug 417529 - Release/News Announcement for 3.0.4, 3.1.4, 2.22.4, and 2.20.6
: Release/News Announcement for 3.0.4, 3.1.4, 2.22.4, and 2.20.6
Status: RESOLVED FIXED
:
Product: Bugzilla
Classification: Server Software
Component: bugzilla.org (show other bugs)
: unspecified
: All All
: -- blocker (vote)
: ---
Assigned To: Max Kanat-Alexander
: default-qa
Mentors:
Depends on:
Blocks: 417505
  Show dependency treegraph
 
Reported: 2008-02-14 09:28 PST by Emmanuel Seyman
Modified: 2008-05-05 14:42 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch for News/announcement (2.23 KB, patch)
2008-03-23 08:16 PDT, Cédric Corazza
LpSolit: review-
Details | Diff | Review
Patch for Release/news v2 (1.51 KB, patch)
2008-03-24 04:41 PDT, Cédric Corazza
LpSolit: review-
Details | Diff | Review
Patch for Release/news v3 (1.75 KB, patch)
2008-03-26 13:19 PDT, Cédric Corazza
LpSolit: review+
Details | Diff | Review
Patch for Release/news v4 (2.45 KB, patch)
2008-04-23 14:16 PDT, Cédric Corazza
LpSolit: review-
Details | Diff | Review
Patch for News v5 (2.72 KB, patch)
2008-05-02 09:47 PDT, Cédric Corazza
mkanat: review+
Details | Diff | Review
Release Announcement (2.64 KB, text/plain)
2008-05-05 14:06 PDT, Max Kanat-Alexander
LpSolit: review+
Details

Description Emmanuel Seyman 2008-02-14 09:28:00 PST
 
Comment 1 Cédric Corazza 2008-03-23 08:16:32 PDT
Created attachment 311248 [details] [diff] [review]
Patch for  News/announcement

Assuming that security bug 419188 also apply to 2.20 and 2.22 branches.
Comment 2 Frédéric Buclin 2008-03-23 13:13:01 PDT
Comment on attachment 311248 [details] [diff] [review]
Patch for  News/announcement

No security release for 2.20 nor 2.22.
Comment 3 Cédric Corazza 2008-03-24 04:41:33 PDT
Created attachment 311354 [details] [diff] [review]
Patch for Release/news v2
Comment 4 Colin Ogilvie [:cso] 2008-03-25 09:24:06 PDT
Comment on attachment 311354 [details] [diff] [review]
Patch for Release/news v2

A quick thing I've spotted:

>+<p><a href="../releases/3.0.4/">Bugzilla 3.0.4</a> is the last stable release
>+  of the 3.0.x series. In addition to various bug fixes, it also contains a security
>+  fix discovered in 3.0.x and 3.1.x series.</p>


last -> latest as last implies to me that there won't be any more?
Comment 5 Frédéric Buclin 2008-03-25 18:02:52 PDT
Comment on attachment 311354 [details] [diff] [review]
Patch for Release/news v2

>+<p><a href="../releases/3.0.4/">Bugzilla 3.0.4</a> is the last stable release

As Colin said, "last" should be "latest".


>+  of the 3.0.x series. In addition to various bug fixes, it also contains a security
>+  fix discovered in 3.0.x and 3.1.x series.</p>

You should specify that 3.0.4 contains many fixes in email_in.pl (creating and editing bugs per email) and many additions to the documentation.


>+<p><a href="../releases/3.2/">Bugzilla 3.1.4</a> also contains the 
>+  security fix, but just like 3.1.3, it has had massive changes and 
>+  received little or no testing. It should be considered unstable and 
>+  only used in testing environments.</p>

3.1.4 has much less massive changes than 3.1.3, and got more bug fixes in order to prepare 3.2 RC1. It also received some testing and is more stable than previous 3.1.x releases, but it still shouldn't be used in production yet, though. One hot spot is searches based on strings in comments and in bug summaries which should now be much faster. And SMTP authentication is also supported for the very first time.


>+Read the <a href="../security/3.0.4/">Security Advisory</a> for more
>+details.</p>

The URL is incorrect. It will be "../security/3.0.3/".
Comment 6 Cédric Corazza 2008-03-26 13:19:52 PDT
Created attachment 311855 [details] [diff] [review]
Patch for Release/news v3

Patch addressing all the comments
Comment 7 Frédéric Buclin 2008-03-27 16:22:03 PDT
Comment on attachment 311855 [details] [diff] [review]
Patch for Release/news v3

Looks good. r=LpSolit
Comment 8 Cédric Corazza 2008-04-23 14:16:20 PDT
Created attachment 317367 [details] [diff] [review]
Patch for Release/news v4

Fixes to add the 2.20.x and 2.22.x series
Comment 9 Frédéric Buclin 2008-05-02 01:46:08 PDT
Comment on attachment 317367 [details] [diff] [review]
Patch for Release/news v4

>+<h3>3.1.4</h3>

>+  contains the security fix for 3.0.x series and another one specific to 3.1.x
>+  series.

This string should be reworded. 3.1.4 has 3 security fixes, 3.0.4 has 2, and 2.20.6 and 2.22.4 both have only one. Also, you should add a section for 2.20.6 and 2.22.4 (a single section for both).
Comment 10 Cédric Corazza 2008-05-02 09:47:17 PDT
Created attachment 319032 [details] [diff] [review]
Patch for News v5

This one addresses latest LpSolit comments
Comment 11 Max Kanat-Alexander 2008-05-05 14:05:35 PDT
Comment on attachment 319032 [details] [diff] [review]
Patch for News v5

I added this one to the website with a few modifications.
Comment 12 Max Kanat-Alexander 2008-05-05 14:06:53 PDT
Created attachment 319456 [details]
Release Announcement
Comment 13 Frédéric Buclin 2008-05-05 14:15:46 PDT
Comment on attachment 319456 [details]
Release Announcement

>You can read the security advisory describing the fixed issues here:
>
>  http://www.bugzilla.org/security/3.0.4/

This URL is wrong. Must be http://www.bugzilla.org/security/2.20.5/. Otherwise looks good. r=LpSolit with the URL fixed.
Comment 14 Max Kanat-Alexander 2008-05-05 14:42:09 PDT
  Okay, news posted (yesterday) and release announcement sent out (just now).

Note You need to log in before you can comment on or make changes to this bug.